/*
 * CustomerService.java
 */

package com.example.business;

import java.util.List;
// JDK1.5の場合：以下のimport文のコメントをはずし，findCustomer()および
// deleteCustomer()につけるアノーテーション@Transactionalおよび@RolesAllowed
// を有効にすることができます．
//import org.springframework.transaction.annotation.Transactional;
//import org.springframework.transaction.annotation.Propagation;
//import com.example.interceptor.security.RolesAllowed;

/**
 * Interface definition of the customer serivce.
 */
public interface CustomerService {

    /**
     * Find customers based on the given criteria.
     *
     * @param criteria find criteria.
     * @return the list of CustomerBO objects.
     */
//    @Transactional(propagation=Propagation.REQUIRED)
    public List findCustomer(CustomerCriteria criteria);
    
    /**
     * Delete customer which has the specified id.
     * 
     * @param id the customer id.
     * @param criteria find criteria.
     * @return the list of CustomerBO objects.
     */
//    @Transactional(propagation=Propagation.REQUIRED)
//    @RolesAllowed("manager")
    public List deleteCustomer(int id, CustomerCriteria criteria);
}
