/*
 * TracerInterceptor.java
 */

package com.example.interceptor.trace;

import com.example.interceptor.InvocationContext;
import com.example.interceptor.InvocationContextImpl;
import org.aopalliance.intercept.MethodInterceptor;
import org.aopalliance.intercept.MethodInvocation;

/**
 * Tracer interceptor for Spring implementation.
 */
public class TracerInterceptor implements MethodInterceptor {
    /**
     * Delegating tracer inerceptor.
     */
    private Tracer tracer = new Tracer();

    /**
     * Outputs trace log before and after method invocations.
     * @param inv method invocation context.
     * @return the result of method invocation.
     * @throws Throwable thrown if method invocation failed.
     */
    public Object invoke(MethodInvocation inv) throws Throwable {
        InvocationContext invocationContext = new InvocationContextImpl(inv);
        return tracer.trace(invocationContext);
    }
}
