/*
 * ComapnyBO.java
 */
package com.example.model;

import java.io.Serializable;

/**
 * domain model of company.
 */
public class CompanyBO implements Serializable {
   
    /**
     * Default constructor.
     */
    public CompanyBO() {
    }
    
    /**
     * Constructor.
     * @param id New value of property id.
     * @param name New value of property name.
     */
    public CompanyBO(int id, String name) {
        this.id = id;
        this.name = name;
    }
    
    /**
     * Holds value of property id.
     */
    private int id;

    /**
     * Getter for property id.
     * @return Value of property id.
     */
    public int getId() {

        return this.id;
    }

    /**
     * Setter for property id.
     * @param id New value of property id.
     */
    public void setId(int id) {

        this.id = id;
    }

    /**
     * Holds value of property name.
     */
    private String name;

    /**
     * Getter for property name.
     * @return Value of property name.
     */
    public String getName() {

        return this.name;
    }

    /**
     * Setter for property name.
     * @param name New value of property name.
     */
    public void setName(String name) {

        this.name = name;
    }

    /**
     * Convert this object to String.
     * @return string representation of this object.
     */
    public String toString() {
        return "{id=" + id + ", name=" + name + "}";
    }
}
